Bug 101607 - Regression in anisotropic filtering from "i965: Convert fs sampler state to use genxml"
Summary: Regression in anisotropic filtering from "i965: Convert fs sampler state to u...
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Rafael Antognolli
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-27 11:01 UTC by Eero Tamminen
Modified: 2017-06-29 10:21 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Fix (1.32 KB, patch)
2017-06-27 12:32 UTC, Eero Tamminen
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Eero Tamminen 2017-06-27 11:01:22 UTC
Commit f8d69beed49c64f883bb8ffb28d4960306baf575 moving sampler handling to genxml messed up change done by commit 6a7c5257cac23cd9767aa4bc8fdab68925b11157.

Mag filter anisotropic check is now incorrectly done based on min filter.

This bug broke rendering clearly in SynMark CSDof test and it's somewhat visible also on SynMark TexFilterAniso test too.  It may have caused unigine demos to speed up marginally.
Comment 1 Eero Tamminen 2017-06-27 12:32:03 UTC
Created attachment 132282 [details] [review]
Fix

git send-email didn't go through so attaching patch here.

This bug may have affected GfxBench CarChase bench perf marginally too ( 0.7%).  In the SynMark TexFilterAniso, incorrect rendering improved perf by 15%, in SynMark CSDof it didn't.

Except in those 2 SynMark cases, this bug is hard to see, even when comparing screenshots (one can see there's some marginal differences, but not which one is the one rendering correctly).
Comment 2 Rafael Antognolli 2017-06-28 20:35:41 UTC
Patch has been sent to the list, reviewed and merged.
Comment 3 Eero Tamminen 2017-06-29 10:21:27 UTC
Verified that the patch is in Mesa, and that tests render now fine.  Thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.